---
title: "News Aggregators"
icon: octicons/rss-24
---

A [news aggregator](https://en.wikipedia.org/wiki/News_aggregator) is a way to keep up with your favourite blogs and news sites.

## Aggregator clients

### Fluent Reader

!!! recommendation

    ![Fluent Reader logo](assets/img/news-aggregators/fluent-reader.svg){ align=right }

    **Fluent Reader** is a secure cross-platform news aggregator that has useful privacy features such as deletion of cookies on exit, strict [content security policies (CSP)](https://en.wikipedia.org/wiki/Content_Security_Policy) and proxy support, meaning you can use it over [Tor](self-contained-networks.md#tor).

    [Visit hyliu.me](https://hyliu.me/fluent-reader){ .md-button .md-button--primary } [Privacy Policy](https://github.com/yang991178/fluent-reader/wiki/Privacy){ .md-button }

    **Downloads**
    - [:fontawesome-brands-windows: Windows](https://hyliu.me/fluent-reader)
    - [:fontawesome-brands-app-store: Mac App Store](https://apps.apple.com/app/id1520907427)
    - [:fontawesome-brands-github: Source](https://github.com/yang991178/fluent-reader.git)

### GNOME Feeds

!!! recommendation

    ![GNOME Feeds logo](assets/img/news-aggregators/gfeeds.svg){ align=right }

    **GNOME Feeds** is an [RSS](https://en.wikipedia.org/wiki/RSS) and [Atom](https://en.wikipedia.org/wiki/Atom_(Web_standard)) news reader for [GNOME](https://www.gnome.org). It has a simple interface and is quite fast.

    [Visit gfeeds.gabmus.org](https://gfeeds.gabmus.org){ .md-button .md-button--primary }

    **Downloads**
    - [:fontawesome-brands-linux: Linux](https://gfeeds.gabmus.org/#install)
    - [:pg-flathub: Flatpak](https://flathub.org/apps/details/org.gabmus.gfeeds)
    - [:fontawesome-brands-gitlab: Source](https://gitlab.gnome.org/World/gfeeds)

### Akregator

!!! recommendation

    ![Akregator logo](assets/img/news-aggregators/akregator.svg){ align=right }

    **Akregator** is a news feed reader that is a part of the [KDE](https://kde.org) project. It comes with a fast search, advanced archiving functionality and an internal browser for easy news reading.

    [Visit kde.org](https://apps.kde.org/akregator){ .md-button .md-button--primary } [Privacy Policy](https://kde.org/privacypolicy-apps){ .md-button }

    **Downloads**
    - [:pg-flathub: Flatpak](https://flathub.org/apps/details/org.kde.akregator)
    - [:fontawesome-brands-git: Source](https://invent.kde.org/pim/akregator)

### Handy News Reader

!!! recommendation

    ![Handy News Reader logo](assets/img/news-aggregators/handy-news-reader.svg){ align=right }

    **Handy News Reader** is a fork of [Flym](https://github.com/FredJul/Flym) that has many [features](https://github.com/yanus171/Handy-News-Reader#features) and works well with folders of RSS feeds. It supports [RSS](https://en.wikipedia.org/wiki/RSS), [Atom](https://en.wikipedia.org/wiki/Atom_(Web_standard)) and [RDF](https://en.wikipedia.org/wiki/RDF%2FXML).

    [Visit yanus171.github.io](https://yanus171.github.io/Handy-News-Reader/){ .md-button .md-button--primary }

    **Downloads**
    - [:fontawesome-brands-google-play: Google Play](https://play.google.com/store/apps/details?id=ru.yanus171.feedexfork)
    - [:pg-f-droid: F-Droid](https://f-droid.org/en/packages/ru.yanus171.feedexfork/)
    - [:fontawesome-brands-github: Source](https://github.com/yanus171/Handy-News-Reader)

### NetNewsWire

!!! recommendation

    ![NetNewsWire logo](assets/img/news-aggregators/netnewswire.png){ align=right }

    **NetNewsWire** a free and open-source feed reader for macOS and iOS with a focus on a native design and feature set. It supports the typical feed formats alongside built-in support for Twitter and Reddit feeds.

    [Visit netnewswire.com](https://netnewswire.com/){ .md-button .md-button--primary } [Privacy Policy](https://netnewswire.com/privacypolicy){ .md-button }

    **Downloads**
    - [:fontawesome-brands-apple: macOS](https://netnewswire.com)
    - [:fontawesome-brands-app-store-ios: App Store](https://apps.apple.com/us/app/netnewswire-rss-reader/id1480640210)
    - [:fontawesome-brands-github: Source](https://github.com/Ranchero-Software/NetNewsWire)

### Miniflux

!!! recommendation

    ![Miniflux logo](assets/img/news-aggregators/miniflux.svg#only-light){ align=right }
    ![Miniflux logo](assets/img/news-aggregators/miniflux-dark.svg#only-dark){ align=right }

    **Miniflux** is a web-based news aggregator that you can self-host. It supports [RSS](https://en.wikipedia.org/wiki/RSS), [Atom](https://en.wikipedia.org/wiki/Atom_(Web_standard)), [RDF](https://en.wikipedia.org/wiki/RDF%2FXML) and [JSON Feed](https://en.wikipedia.org/wiki/JSON_Feed).

    [Visit miniflux.app](https://miniflux.app){ .md-button .md-button--primary }

    **Downloads**
    - [:fontawesome-brands-github: Source](https://github.com/miniflux)

### Newsboat

!!! recommendation

    ![Newsboat logo](assets/img/news-aggregators/newsboat.svg){ align=right }

    **Newsboat** is an RSS/Atom feed reader for the text console. It's an actively maintained fork of [Newsbeuter](https://en.wikipedia.org/wiki/Newsbeuter). It is very lightweight, and ideal for use over [Secure Shell](https://en.wikipedia.org/wiki/Secure_Shell).

    [Visit newsboat.org](https://newsboat.org){ .md-button .md-button--primary }

    **Downloads**
    - [:fontawesome-brands-github: Source](https://github.com/newsboat/newsboat)

## Social media that supports RSS

Some social media services also support RSS although it's not often advertised.

### Youtube

You can subscribe YouTube channels without logging in and associating usage information with your Google Account. To subscribe to a YouTube channel with an RSS client, first look for your [channel code](https://support.google.com/youtube/answer/6180214), replace `channel_id` below:

```text
https://www.youtube.com/feeds/videos.xml?channel_id={{ channel id }}
```

### Reddit

Reddit also supports subscription via RSS, just replace `subreddit_name` with the subreddit you wish to subscribe to.

```text
https://www.reddit.com/r/{{ subreddit_name }}/new/.rss
```

### Twitter

Using any of the Nitter [instances](https://github.com/zedeus/nitter/wiki/Instances) you can easily subscribe using RSS.

1. Pick an instance and set `nitter_instance`.
2. Replace `twitter_account` with the account name.

   ```text
   https://{{ nitter_instance }}/{{ twitter_account }}/rss
   ```
